org.apache.maven.scm.provider.cvslib.cvsjava.util

## Class CvsLogListener

- java.lang.Object
- - org.netbeans.lib.cvsclient.event.CVSAdapter
  - - org.apache.maven.scm.provider.cvslib.cvsjava.util.CvsLogListener

- All Implemented Interfaces:
    org.netbeans.lib.cvsclient.event.CVSListener

      public class CvsLogListener
      extends org.netbeans.lib.cvsclient.event.CVSAdapter

  A basic implementation of a CVS listener. It merely saves up into StringBuffers the stdout and stderr printstreams.
  Version:
    $Id: CvsLogListener.java 687470 2008-08-20 21:16:51Z olamy $
  Author:
    Eric Pugh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsLogListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `getStderr()`
    `StringBuffer` | `getStdout()`
    `void` | `messageSent(org.netbeans.lib.cvsclient.event.MessageEvent e)` Called when the server wants to send a message to be displayed to the user.

    - ### Methods inherited from class org.netbeans.lib.cvsclient.event.CVSAdapter

      `commandTerminated, fileAdded, fileInfoGenerated, fileRemoved, fileToRemove, fileUpdated, messageSent, moduleExpanded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsLogListener

          public CvsLogListener()

  - ### Method Detail

    - #### messageSent

          public void messageSent(org.netbeans.lib.cvsclient.event.MessageEvent e)

      Called when the server wants to send a message to be displayed to the user. The message is only for information purposes and clients can choose to ignore these messages if they wish.
      Specified by:
        `messageSent` in interface `org.netbeans.lib.cvsclient.event.CVSListener`
      Overrides:
        `messageSent` in class `org.netbeans.lib.cvsclient.event.CVSAdapter`

    - #### getStdout

          public StringBuffer getStdout()

      Returns:
        Returns the standard output from cvs as a StringBuffer..

    - #### getStderr

          public StringBuffer getStderr()

      Returns:
        Returns the standard error from cvs as a StringBuffer..

Copyright © 2003–2015. All rights reserved.